%define name	mediawiki
%define version	1.11.2
%define release	%mkrel 1
%define _requires_exceptions pear(HTML/Template/PHPTAL.php)\\|pear(MogileFS.php)\\|pear(extensions\\|pear(PHPUnit.php

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A wiki engine
License:	GPLv2+
Group:		System/Servers
Source0:	http://download.wikimedia.org/mediawiki/1.11/%{name}-%{version}.tar.gz
Patch1:		mediawiki-1.7.1-fix-install-wizard.patch
URL:		http://www.mediawiki.org/wiki/MediaWiki
Requires(pre):	apache-conf >= 2.0.54
Requires:	apache-mod_php php-xml php-gd php-mysql
# for diff3:
Requires:	diffutils
# for convert:
Requires:	ImageMagick

BuildRequires:	rpm-mandriva-setup >= 1.23
Requires(post):	rpm-helper >= 0.16
Requires(postun):	rpm-helper >= 0.16
BuildRequires:	rpm-helper >= 0.16

#Suggests:	php-cgi
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
MediaWiki is the software used for Wikipedia (http://www.wikipedia.org) and the
other Wikimedia Foundation websites. Compared to other wikis, it has an
excellent range of features and support for high-traffic websites (Wikipedia
peaks at 380 requests per second as of August 2004).

%prep
%setup -q
#%patch1 -p0

# clean sources
find . -name .htaccess -exec rm -f {} \;
find . -name .cvsignore -exec rm -f {} \;
find . -name .svnignore -exec rm -f {} \;
rm -f skins/amethyst/null

#correct LanguageKo.php wrong script encoding
perl -pi -e 's/\015$//' languages/LanguageKo.php

%build

%install
rm -rf %{buildroot}

# install files
%__install -d -m 755 %{buildroot}%{_var}/www/%{name}
%__cp -pR *.php %{buildroot}%{_var}/www/%{name}
%__cp -pR *.phtml %{buildroot}%{_var}/www/%{name}
%__cp -pR *.inc %{buildroot}%{_var}/www/%{name}
%__cp -pR *.sample %{buildroot}%{_var}/www/%{name}
%__cp -pR bin %{buildroot}%{_var}/www/%{name}
%__cp -pR locale %{buildroot}%{_var}/www/%{name}
%__cp -pR config %{buildroot}%{_var}/www/%{name}
%__cp -pR extensions %{buildroot}%{_var}/www/%{name}
%__cp -pR images %{buildroot}%{_var}/www/%{name}
%__install -d -m 755 %{buildroot}%{_var}/www/%{name}/includes
%__cp -pR includes/*.php %{buildroot}%{_var}/www/%{name}/includes
%__cp -pR includes/normal %{buildroot}%{_var}/www/%{name}/includes
%__cp -pR includes/cbt %{buildroot}%{_var}/www/%{name}/includes
%__cp -pR includes/templates %{buildroot}%{_var}/www/%{name}/includes
%__cp -pR includes/filerepo %{buildroot}%{_var}/www/%{name}/includes
%__cp -pR includes/media %{buildroot}%{_var}/www/%{name}/includes
%__cp -pR languages %{buildroot}%{_var}/www/%{name}
%__cp -pR maintenance %{buildroot}%{_var}/www/%{name}
%__cp -pR math %{buildroot}%{_var}/www/%{name}
%__cp -pR skins %{buildroot}%{_var}/www/%{name}
%__cp -pR tests %{buildroot}%{_var}/www/%{name}
%__install -d -m 755 %{buildroot}%{_var}/www/%{name}/serialized
%__cp -pR serialized/*.* %{buildroot}%{_var}/www/%{name}/serialized

%{__install} -d -m 755 %{buildroot}%{webappconfdir}
cat >>  %{buildroot}%{webappconfdir}/%{name}.conf <<EOF
Alias /%{name} %{_var}/www/%{name}
<Directory "%{_var}/www/%{name}">
  Order allow,deny
  Allow from All
</Directory>

<Directory "%{_var}/www/%{name}/bin">
  Order allow,deny
  Deny from All
</Directory>
EOF


%clean
rm -rf %{buildroot}

%post
%create_ghostfile /var/log/httpd/mediawiki.log apache apache 640
%_post_webapp

%postun
%_postun_webapp

%files
%defattr(-,root,root)
%dir %{_var}/www/%{name}
%{_var}/www/%{name}/*.php
%{_var}/www/%{name}/*.phtml
%{_var}/www/%{name}/*.inc
%{_var}/www/%{name}/*.sample
%{_var}/www/%{name}/bin
%{_var}/www/%{name}/locale
%attr(-,apache,apache) %{_var}/www/%{name}/config
%{_var}/www/%{name}/extensions
%attr(-,apache,apache) %{_var}/www/%{name}/images
%{_var}/www/%{name}/includes
#%{_var}/www/%{name}/irc
%{_var}/www/%{name}/languages
%{_var}/www/%{name}/maintenance
%{_var}/www/%{name}/math
%{_var}/www/%{name}/serialized
%{_var}/www/%{name}/skins
%{_var}/www/%{name}/tests

%config(noreplace) %{_webappconfdir}/%{name}.conf

%doc FAQ HISTORY README RELEASE-NOTES UPGRADE
%doc docs


%changelog
* Mon Mar 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.11.2-1mdv2008.1
+ Revision: 178031
- new release

* Thu Feb 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.11.1-3mdv2008.1
+ Revision: 176228
- better summary
- new license policy
- do not package COPYING and INSTALL files
- spec file clean

* Wed Feb 27 2008 Christiaan Welvaart <spturtle@mandriva.org> 1.11.1-2mdv2008.1
+ Revision: 175925
- fix file uploads: add filerepo and media include dirs
  and make images dir writable by webserver

* Sun Feb 03 2008 Funda Wang <fundawang@mandriva.org> 1.11.1-1mdv2008.1
+ Revision: 161668
- update to new version 1.11.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix downlod URL

* Tue Oct 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.11.0-1mdv2008.1
+ Revision: 96134
- new release

* Wed Sep 05 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.10.1-1mdv2008.0
+ Revision: 80180
- new release

* Wed May 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.10.0-2mdv2008.0
+ Revision: 27387
- do not require PHPUnit.php (not needed for normal use)

* Thu May 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.10.0-1mdv2008.0
+ Revision: 26080
- new release


* Mon Feb 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.9.3-1mdv2007.0
+ Revision: 125978
- new release

* Mon Feb 05 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.9.2-1mdv2007.1
+ Revision: 116244
- new release
- bump release
- add missing files

* Fri Jan 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.9.1-1mdv2007.1
+ Revision: 114008
- new release
- fix URL

* Wed Jan 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.9.0-1mdv2007.1
+ Revision: 107274
- new release

* Mon Nov 27 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.8.2-2mdv2007.1
+ Revision: 87495
- bump release
- prevent requiring internal extensions, thus fixing installation

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.8.2-1mdv2007.1
+ Revision: 86836
- Import mediawiki

* Tue Oct 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.8.2-1mdv2007.1
- new release

* Sat Jul 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.7.1-2mdv2007.0
- some rpmlint fixes
- patch 0: fix looping on accessing installation wizard
- patch 1: fix installation if not using root access

* Sat Jul 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.7.1-2mdv2007.0
- fix requires

* Wed Jul 26 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.7.1-1mdv2007.0
- new release

* Fri Jun 30 2006 Jerome Martin <jmartin@mandriva.org> 1.6.7-3mdv2007.0
- Fix installed files
- Add http conf

* Fri Jun 30 2006 Jerome Martin <jmartin@mandriva.org> 1.6.7-2mdv2007.0
- Fix install dir to %%{_var}/www/

* Sun Jun 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.6.7-1mdv2007.0
- new release

* Thu Apr 20 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.3-1mdk
- 1.6.3

* Tue Mar 28 2006 Lenny Cartier <lenny@mandriva.com> 1.5.8-1mdk
- 1.5.8

* Tue Feb 28 2006 Jerome Soyer <saispo@mandriva.org> 1.5.6-1mdk
- New release 1.5.6

* Tue Nov 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.5.2-1mdk
- new version
- fix apache requires (Anne Nicolas)

* Sat Jun 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.5-3mdk
- requires php-gd

* Wed Jun 15 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.5-2mdk
- drop MySQL requires (#16277)

* Tue Jun 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.5-1mdk
- new release
- requires php-mysql

* Mon May 02 2005 Anne Nicolas <anne.nicolas@mandriva.com> 1.4.3-1mdk
- new version

* Wed Apr 27 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.2-3mdk
- mediawiki cannot work without php-xml
- fix config file ownership

* Tue Apr 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.4.2-2mdk
- Fix URL; misc spec cleanups

* Mon Apr 25 2005 Anne Nicolas <anne.nicolas@mandriva.com> 1.4.2-1mdk
- first mdk release

